Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\Event\InteractiveLoginEvent Class Reference
Inheritance diagram for eZ\Publish\Core\MVC\Symfony\Event\InteractiveLoginEvent:

## Public Member Functions
| hasAPIUser ()
| Checks if an API user has been provided. More...
| setApiUser (APIUser $apiUser)
| Injects an API user to be injected in the repository. More...
| getAPIUser ()

## Private Attributes
| $apiUser

## Detailed Description

Definition at line 12 of file InteractiveLoginEvent.php.

## Member Function Documentation

## ◆ getAPIUser()

eZ\Publish\Core\MVC\Symfony\Event\InteractiveLoginEvent::getAPIUser | ( |  | ) |

Returns
  \eZ\Publish\API\Repository\Values\User\User

Definition at line 40 of file InteractiveLoginEvent.php.

References eZ\Publish\Core\MVC\Symfony\Event\InteractiveLoginEvent\$apiUser.

## ◆ hasAPIUser()

eZ\Publish\Core\MVC\Symfony\Event\InteractiveLoginEvent::hasAPIUser | ( |  | ) |

Checks if an API user has been provided.

Returns
  bool

Definition at line 22 of file InteractiveLoginEvent.php.

## ◆ setApiUser()

eZ\Publish\Core\MVC\Symfony\Event\InteractiveLoginEvent::setApiUser | ( | APIUser | $apiUser | ) |

Injects an API user to be injected in the repository.

Parameters

  \eZ\Publish\API\Repository\Values\User\User | $apiUser |

Definition at line 32 of file InteractiveLoginEvent.php.

References eZ\Publish\Core\MVC\Symfony\Event\InteractiveLoginEvent\$apiUser.

## Member Data Documentation

## ◆ $apiUser

eZ\Publish\Core\MVC\Symfony\Event\InteractiveLoginEvent::$apiUser
| private

Definition at line 15 of file InteractiveLoginEvent.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Event\InteractiveLoginEvent\getAPIUser(), and eZ\Publish\Core\MVC\Symfony\Event\InteractiveLoginEvent\setApiUser().

The documentation for this class was generated from the following file:

- InteractiveLoginEvent.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.